Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.javassist
Class AccessOptimizerAdapter

    java.lang.Object
      org.hibernate.bytecode.javassist.AccessOptimizerAdapter

All Implemented Interfaces:
  Serializable, ReflectionOptimizer.AccessOptimizer

    public class AccessOptimizerAdapter

extends Object
implements ReflectionOptimizer.AccessOptimizer, Serializable

The `ReflectionOptimizer.AccessOptimizer` implementation for Javassist which simply acts as an adpater to the `BulkAccessor` class.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_GET_EXCEPTION`
`static String` | `PROPERTY_SET_EXCEPTION`

Constructor Summary
`AccessOptimizerAdapter(BulkAccessor bulkAccessor, Class mappedClass)`

Method Summary
`String[]` | `getPropertyNames()`
`Object[]` | `getPropertyValues(Object object)`
`void` | `setPropertyValues(Object object, Object[] values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_GET_EXCEPTION

    public static final String PROPERTY_GET_EXCEPTION

See Also:
  Constant Field Values

### PROPERTY_SET_EXCEPTION

    public static final String PROPERTY_SET_EXCEPTION

See Also:
  Constant Field Values

Constructor Detail

### AccessOptimizerAdapter

    public AccessOptimizerAdapter(BulkAccessor bulkAccessor,
                                  Class mappedClass)

Method Detail

### getPropertyNames

    public String[] getPropertyNames()

  Specified by:
    `getPropertyNames` in interface `ReflectionOptimizer.AccessOptimizer`

### getPropertyValues

    public Object[] getPropertyValues(Object object)

  Specified by:
    `getPropertyValues` in interface `ReflectionOptimizer.AccessOptimizer`

### setPropertyValues

    public void setPropertyValues(Object object,
                                  Object[] values)

  Specified by:
    `setPropertyValues` in interface `ReflectionOptimizer.AccessOptimizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD